% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/demo_data.R
\docType{data}
\name{demo_data}
\alias{demo_data}
\title{Example Dataset for Debiased Trial Emulation}
\format{
A data frame with 50,000 rows and 93 variables
}
\usage{
data(demo_data)
}
\description{
`demo_data` is a simulated dataset used to demonstrate the functionality of the `debiasedTrialEmulation` package.
It includes patient demographic information, treatment assignment, covariates, clinical outcomes,
and negative control outcomes for evaluating treatment effects using propensity score methods.

The dataset contains 50,000 observations and 93 variables, including:

- **Demographic variables**: Ethnicity, age, sex, and cohort entry month.
- **Treatment assignment**: Binary treatment indicator.
- **Covariates**: Baseline health conditions and healthcare utilization variables.
- **Primary outcomes**: Binary and time-to-event outcomes related to cardiovascular health.
- **Negative control outcomes (NCOs)**: Outcomes used for bias calibration.
}
\keyword{datasets}
