% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utility_functions.R
\name{stratifyByPs}
\alias{stratifyByPs}
\title{Stratify Population by Propensity Score}
\usage{
stratifyByPs(
  population,
  numberOfStrata = 5,
  stratificationColumns = c(),
  baseSelection = "all"
)
}
\arguments{
\item{population}{A data frame containing row IDs, treatment assignments, and propensity scores.}

\item{numberOfStrata}{Number of strata to create.}

\item{stratificationColumns}{Additional columns to use for stratification.}

\item{baseSelection}{Defines which group is used to determine strata cutoffs ("all", "target", or "comparator").}
}
\value{
A data frame with stratum assignments.
}
\description{
Assigns individuals to strata based on their propensity scores.
}
